import { ConditionUtil, FieldUtil, TableUtilImpl, IdType } from 'model-util';
import { DevopsSwitchPartitionCharge } from '../models/index';
/**
 * @author auto generate
 * @version 1.0
 * @date 2021-05-20 14:05
 */
interface DevopsSwitchPartitionChargeCU extends ConditionUtil<DevopsSwitchPartitionChargeCU> {
    ID: FieldUtil<DevopsSwitchPartitionChargeCU>;
    WEBSITE_NAME: FieldUtil<DevopsSwitchPartitionChargeCU>;
    WEBSITE_CODE: FieldUtil<DevopsSwitchPartitionChargeCU>;
    PORT: FieldUtil<DevopsSwitchPartitionChargeCU>;
    CURRENT_PARTITION: FieldUtil<DevopsSwitchPartitionChargeCU>;
    REMARK: FieldUtil<DevopsSwitchPartitionChargeCU>;
    CREATE_TIME: FieldUtil<DevopsSwitchPartitionChargeCU>;
    UPDATE_TIME: FieldUtil<DevopsSwitchPartitionChargeCU>;
}
declare class DevopsSwitchPartitionChargeMU extends TableUtilImpl<DevopsSwitchPartitionChargeCU, DevopsSwitchPartitionCharge> {
    tableName: string;
    tableFields: string[];
    modelFields: string[];
    modelIdFields: string[];
    tableIdFields: string[];
    idType: IdType;
    joinTables: any[];
    subTables: any[];
    createConditionUtil(): DevopsSwitchPartitionChargeCU;
    static get ID(): FieldUtil<DevopsSwitchPartitionChargeCU>;
    static get WEBSITE_NAME(): FieldUtil<DevopsSwitchPartitionChargeCU>;
    static get WEBSITE_CODE(): FieldUtil<DevopsSwitchPartitionChargeCU>;
    static get PORT(): FieldUtil<DevopsSwitchPartitionChargeCU>;
    static get CURRENT_PARTITION(): FieldUtil<DevopsSwitchPartitionChargeCU>;
    static get REMARK(): FieldUtil<DevopsSwitchPartitionChargeCU>;
    static get CREATE_TIME(): FieldUtil<DevopsSwitchPartitionChargeCU>;
    static get UPDATE_TIME(): FieldUtil<DevopsSwitchPartitionChargeCU>;
    get ID(): FieldUtil<DevopsSwitchPartitionChargeCU>;
    get WEBSITE_NAME(): FieldUtil<DevopsSwitchPartitionChargeCU>;
    get WEBSITE_CODE(): FieldUtil<DevopsSwitchPartitionChargeCU>;
    get PORT(): FieldUtil<DevopsSwitchPartitionChargeCU>;
    get CURRENT_PARTITION(): FieldUtil<DevopsSwitchPartitionChargeCU>;
    get REMARK(): FieldUtil<DevopsSwitchPartitionChargeCU>;
    get CREATE_TIME(): FieldUtil<DevopsSwitchPartitionChargeCU>;
    get UPDATE_TIME(): FieldUtil<DevopsSwitchPartitionChargeCU>;
}
export { DevopsSwitchPartitionChargeMU, DevopsSwitchPartitionChargeCU };
